%global uuid com.github.phase1geo.minder

Name:           Minder
Version:        1.15.2
Release:        1
Summary:        Mind-mapping application

License:        GPLv3+
URL:            https://github.com/phase1geo/Minder
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  libmarkdown-devel
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libhandy-1)
BuildRequires:  pkgconfig(libxml-2.0)

Requires:       hicolor-icon-theme

%description
Use the power of mind-mapping to make your ideas come to life.

  * Quickly create visual mind-maps using the keyboard and automatic layout.
  * Choose from many tree layout choices.
  * Support for Markdown formatting.
  * Add notes, tasks and images to your nodes.
  * Add node-to-node connections with optional text and notes.
  * Stylize nodes, links and connections to add more meaning and improve
    readability.
  * Add stickers and node groups to call out and visibly organize information.
  * Quick search of node and connection titles and notes, including filtering
    options.
  * Zoom in or enable focus mode to focus on certain ideas or zoom out to see
    the bigger picture.
  * Enter focus mode to better view and understand portions of the map.
  * Unlimited undo/redo of any change.
  * Automatically saves in the background.
  * Colorized node branches.
  * Open multiple mindmaps with the use of tabs.
  * Built-in and customizable theming.
  * Gorgeous animations.
  * Import from OPML, FreeMind, Freeplane, PlainText (formatted), Outliner,
    Portable Minder and XMind formats.
  * Export to CSV, FreeMind, Freeplane, JPEG, BMP, SVG, Markdown, Mermaid,
    OPML, Org-Mode, Outliner, PDF, PNG, Portable Minder, PlainText, XMind and
    yEd formats.
  * Printer support.


%prep
%autosetup -n Minder-%{version} -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{uuid}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{uuid}.lang
%license LICENSE COPYING
%doc README.md AUTHORS
%{_bindir}/%{uuid}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/gtksourceview-4/language-specs/*.lang
%{_datadir}/gtksourceview-4/styles/*.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/mime/packages/*.xml
%{_metainfodir}/*.xml


%changelog
* Mon May 13 2024 lvfei <lvfei@kylinos.cn> - 1.15.2-1
- Fixed issues with exported images including selection.
- Fixed issue with importing OPML files (thanks to Ygor Mutti).
- Fixed issue with undo/redo of Unicode characters.
- Fixed issues with exporting to Outliner format. 

* Wed May 08 2024 wangxiaomeng <wangxiaomeng@kylinos.cn> - 1.14.0-2
- Change minder to Minder according to github source name

* Fri May 26 2023 wangtaozhi <wangtaozhi@kylinsec.com.cn> - 1.14.0-1 
- Package init
